Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 478917 - Review Request: globus-xio - Globus Toolkit - Globus XIO Framework
Summary: Review Request: globus-xio - Globus Toolkit - Globus XIO Framework
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Sailer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 453851
Blocks: 478919 478920 478921 478929
TreeView+ depends on / blocked
 
Reported: 2009-01-06 00:52 UTC by Mattias Ellert
Modified: 2009-05-12 03:58 UTC (History)
3 users (show)

Fixed In Version: 2.7-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-27 21:33:25 UTC
t.sailer: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-01-06 00:52:55 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-xio.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-xio-2.7-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-xio package contains:
Globus XIO Framework

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-common-devel >= 4
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Remove some doxygen warnings:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6585

Bad version information:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6584

Dereferencing of type-punned pointers:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6605

Comment 1 Mattias Ellert 2009-03-16 00:00:56 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-xio-2.7-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-xio.spec

Comment 2 Mattias Ellert 2009-04-17 13:44:47 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-2.7-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 3 Thomas Sailer 2009-04-18 17:32:59 UTC
$ rpmlint  globus-xio*.rpm globus-xio.spec
globus-xio.i586: W: no-documentation
globus-xio-devel.i586: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 2 warnings.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1306953

Comment 4 Thomas Sailer 2009-04-18 17:40:44 UTC
Fedora review globus-xio-2.7-1.fc10.src.rpm 2008-04-18

(btw: the posted spec file and the spec file contained in the srpm are not consistent)

+ OK
! needs attention

! rpmlint output (including the license file as doc gets rid of the warning)
+ Package is named according to Fedora Package Naming Guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  ASL 2.0
+ License matches the actual package license
! The package contains the license file
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
the source repacking makes it impossible to compare md5sum's, thus:
$ diff -urN globus_xio-2.7 globus_xio-2.7-dl
reports no differences

+ Package scratch-builds
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
+ Large documentation files should go in -doc subpackage
n/a Files marked %doc should not affect package
+ Header files should be in -devel
n/a Static libraries should be in -static
! Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

Comment 5 Mattias Ellert 2009-04-18 20:33:51 UTC
(In reply to comment #4)
> Fedora review globus-xio-2.7-1.fc10.src.rpm 2008-04-18
> 
> (btw: the posted spec file and the spec file contained in the srpm are not
> consistent)

Sorry about that. It seems I copied the last version of the SRPM to the server with the wrong name after the last update - so the previous one was not overwritten as I intended. The difference between the versions was that I added globus-common as a Requires so that the package Requires a package that owns the direcories where it puts its files. I have updated the SRPM with the intended one. The specfile was the intended one.

> + OK
> ! needs attention
> 
> ! rpmlint output (including the license file as doc gets rid of the warning)

I just removed the license file as doc in this version since a reviewer of a different package strongly argued that it shouldn't be there since it is not part of the source tree for this package (see bug 467235 comment 3). I really need all the packages to be the same, otherwise it is not maintainable. If you strongly disagree with the previous reviewer, I will try to do some arbitration.

> ! The package contains the license file

See above

> ! Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'

globus-xio-devel Requires globus-core, which Requires pkgconfig.

Comment 6 Thomas Sailer 2009-04-18 20:44:47 UTC
I understand that you want to keep the packages the same, this is a good thing.

However, omitting the license file makes me nervous. http://fedoraproject.org/wiki/Packaging/LicensingGuidelines states that the license file _must_ be included if the source archive contains one. The source archive downloaded from upstream contains a license file - just not in the directory that gets repackaged. I find Orcan Ogetbil's argument that the license file needs to be in the repackaged subdirectory quite unsustainable. IANAL but I think you're on pretty thin ice here.

Ok about the rest.

Comment 7 Mattias Ellert 2009-04-21 14:24:05 UTC
The conclusion of the thread on the fedora-packaging mailing list initiated in order to resolve the issue

https://www.redhat.com/archives/fedora-packaging/2009-April/msg00042.html

was that the license file must be part of the package. The thread also concluded that the license file must be copied into and made part of the extracted tarfile and not be a separate source file.

The package has been updated accordingly (including adding the cp command to the source generation description comment):

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-2.7-2.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio.spec

Comment 8 Thomas Sailer 2009-04-21 16:42:02 UTC
Thank you for going through that process!

APPROVED by sailer.

I would like to encourage you to add the pkgconfig dependency to globus-xio-devel, or to add a comment to the globus-core spec file that this dependency is indirectly needed, to prevent this dependency to be accidentally removed.

Comment 9 Mattias Ellert 2009-04-21 17:40:48 UTC
Thank you for the review.


New Package CVS Request
=======================
Package Name: globus-xio
Short Description:  Globus Toolkit - Globus XIO Framework
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 10 Kevin Fenzi 2009-04-21 19:42:53 UTC
cvs done.

Comment 11 Fedora Update System 2009-04-22 17:00:14 UTC
globus-xio-2.7-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-xio-2.7-2.fc10

Comment 12 Fedora Update System 2009-04-22 17:00:20 UTC
globus-xio-2.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-xio-2.7-2.fc11

Comment 13 Fedora Update System 2009-04-22 17:00:24 UTC
globus-xio-2.7-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-xio-2.7-2.fc9

Comment 14 Fedora Update System 2009-04-27 21:33:20 UTC
globus-xio-2.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-04-27 21:39:08 UTC
globus-xio-2.7-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-05-12 03:58:18 UTC
globus-xio-2.7-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.